Class | EventMachine::Timer
In: | lib/em/timers.rb
Parent: | Object

Creates a one-time timer

     timer = EventMachine::Timer.new(5) do
       # this will never fire because we cancel it
     end
     timer.cancel

### Methods

cancel new

### Public Class methods

new(interval, callback=nil, &block)

Create a new timer that fires after a given number of seconds

### Public Instance methods

cancel()

Cancel the timer

[Validate]